package cn.reghao.tnb.content.app.vod.db.mapper;

import cn.reghao.jutil.jdk.web.db.BaseMapper;
import cn.reghao.tnb.content.app.vod.model.po.VideoStatistic;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author reghao
 * @date 2022-03-25 09:32:06
 */
@Mapper
public interface VideoStatisticMapper extends BaseMapper<VideoStatistic> {
    void updateSetDelete(String videoId);
    void updateIncrView(String videoId);

    VideoStatistic findByVideoId(String videoId);
    List<VideoStatistic> findAllById(int pageSize, int nextId);
}
